#1532 closed defect (fixed)

Review Request -- First Test of Loading tarfile info IMFS

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

This is the first addition of a test to exercise initializing the filesystem
from a tarfile. It has to construct the tarfile on the fly, convert it to an object file, and link it. The test is not complete but I wanted a review on the
autotools part of this. If that passes review, I will augment the test to improve coverage.

Please review this.

Attachments (5)

psxload01.diff (2.2 KB) - added by Joel Sherrill on May 27, 2010 at 8:45:51 PM.
Patch to add psxload01
psxload01-try2.diff (8.0 KB) - added by Joel Sherrill on May 27, 2010 at 11:37:14 PM.
Patch with new files added
psxload-r3.diff (9.5 KB) - added by Joel Sherrill on Jun 9, 2010 at 11:02:39 AM.
Newest revision of patch
tar01.tar.bz2 (8.0 KB) - added by Joel Sherrill on Jul 2, 2010 at 5:45:09 PM.
New version of test -- no OBJCOPY
pr1532.diff (3.2 KB) - added by Joel Sherrill on Jul 2, 2010 at 5:46:54 PM.
Modified files to accompany tarball

Download all attachments as: .zip

Change History (15)

Changed on May 27, 2010 at 8:45:51 PM by Joel Sherrill

Attachment: psxload01.diff added

Patch to add psxload01

comment:1 Changed on May 27, 2010 at 8:46:50 PM by Joel Sherrill

Cc: Ralf Corsepius added

Changed on May 27, 2010 at 11:37:14 PM by Joel Sherrill

Attachment: psxload01-try2.diff added

Patch with new files added

comment:2 Changed on May 27, 2010 at 11:37:14 PM by Joel Sherrill

attachments.isobsolete: 01

comment:3 Changed on May 28, 2010 at 12:25:41 AM by Chris Johns

Status: newassigned

Changed on Jun 9, 2010 at 11:02:39 AM by Joel Sherrill

Attachment: psxload-r3.diff added

Newest revision of patch

comment:4 Changed on Jun 9, 2010 at 11:02:39 AM by Joel Sherrill

attachments.isobsolete: 01

Changed on Jul 2, 2010 at 5:45:09 PM by Joel Sherrill

Attachment: tar01.tar.bz2 added

New version of test -- no OBJCOPY

comment:5 Changed on Jul 2, 2010 at 5:45:09 PM by Joel Sherrill

attachments.isobsolete: 01

Changed on Jul 2, 2010 at 5:46:54 PM by Joel Sherrill

Attachment: pr1532.diff added

Modified files to accompany tarball

comment:6 Changed on Jul 21, 2010 at 9:10:38 AM by Ralf Corsepius

Cc: Ralf Corsepius removed

comment:7 Changed on Jul 27, 2010 at 5:31:50 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

comment:8 Changed on Jul 28, 2010 at 3:08:22 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:9 Changed on Jul 28, 2010 at 11:27:19 AM by Joel Sherrill

I switched away from objcopy and used pax which addressed the technical concerns you mentioned. I repeatedly asked for comments and the only activity on this PR from 2 July to 25 July was when you took yourself off as a cc.

The technique of tar on the host and one of the RTEMS untar commands on the target has been in use for over 10 years. It is time to test it.

We need an autotools way to create an image, make it an object and link it into the executable. This will be needed to automate testing the shell and support
components like Parrot. If you have positive suggestions, please make them. This is a capability we need in the build system.

comment:10 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.